#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!

#include "KNXConnection.h"
#include "KNXObjectDefinitions.h"
#include "KNXTime.h"
#include <TimeLib.h>


KNXTime time(ga(4,3,1));


void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! ");
  objectSettings();
}

void loop() {
  digitalClockDisplay();
  delay(5000);
}

void serialEvent()
{
  char ch = Serial.read();

  if (ch == 'r') time.readRequest(); // c9 33 07
  if (ch == 's') time.setT(16, 15, 00); // c9 33 07
  if (ch == 'p') time.print();
  if (ch == 'l') Serial.println("----------------------------");
  
} // end keyboardInput  


 void digitalClockDisplay(){
  // digital clock display of the time
  Serial.print(hour());
  printDigits(minute());
  printDigits(second());
  Serial.print(" ");
  Serial.print(day());
  Serial.print(" ");
  Serial.print(month());
  Serial.print(" ");
  Serial.print(year()); 
  Serial.println(); 
}

void printDigits(int digits){
  // utility function for digital clock display: prints preceding colon and leading 0
  Serial.print(":");
  if(digits < 10)
    Serial.print('0');
  Serial.print(digits);
}


